function getChatConfig(prismaGenesysConfiguration) {

  return {
  	userData: {
      URS_NDG: prismaGenesysConfiguration.URS_NDG,
      URS_DBN: prismaGenesysConfiguration.URS_DBN,
      URS_FirstName: prismaGenesysConfiguration.URS_FirstName,
      URS_LastName: prismaGenesysConfiguration.URS_LastName,
      URS_Gender: prismaGenesysConfiguration.URS_Gender,
      URS_PhoneNumber: prismaGenesysConfiguration.URS_PhoneNumber,
      URS_AdvisorFirstName: prismaGenesysConfiguration.URS_AdvisorFirstName,
      URS_AdvisorLastName: prismaGenesysConfiguration.URS_AdvisorLastName,
      URS_Advisor1: prismaGenesysConfiguration.URS_Advisor1,
      URS_Advisor2: prismaGenesysConfiguration.URS_Advisor2,
      URS_AdvisorKubinKey: prismaGenesysConfiguration.URS_AdvisorKubinKey,
      URS_AdvisorKubinType: prismaGenesysConfiguration.URS_AdvisorKubinType,
      URS_ChannelFlag: prismaGenesysConfiguration.URS_ChannelFlag,
      URS_URL: prismaGenesysConfiguration.URS_URL,
      URS_RelaunchToken: prismaGenesysConfiguration.URS_RelaunchToken,
      URS_ExternalId: prismaGenesysConfiguration.URS_ExternalId,
      URS_BOT_RelaunchEnvironment: prismaGenesysConfiguration.Env
		},
		form: {
		  autoSubmit: true,
		  firstname: "Chatbot",
		  lastname: "Chatbot",
		  email: "unicredit@chatmobile.it",
		  subject: "TestChat"
		}
   };
 }

if (!window._genesys)
  window._genesys = {};
if (!window._gt)
  window._gt = [];



window._genesys.widgets = {
  main: {
    theme: 'light',
    lang: 'it',
    mobileMode: true, // 'auto',
    plugins: ["cx-webchat", "cx-webchat-service",],
    i18n: {
      "it": {
        "webchat": {
          "Error": {
            "102": "First name is required",
            "103": "Last name is required",
            "161": "Please enter your name",
            "201": "The file could not be sent.<br/><strong><p class='filename' title='<%FilenameFull%>'>'<%FilenameTruncated%>'</p></strong><p class='cx-advice'>The maximum number of attached files would be exceeded (<%MaxFilesAllowed%>)</p>",
            "202": "The file could not be sent.<br/><strong><p class='filename' title='<%FilenameFull%>'>'<%FilenameTruncated%>'</p></strong><p class='cx-advice'>Upload limit and/or maximum number of attachments would be exceeded (<%MaxAttachmentsSize%>)</p>",
            "203": "The file could not be sent.<br/><strong><p class='filename' title='<%FilenameFull%>'>'<%FilenameTruncated%>'</p></strong><p class='cx-advice'>File type is not allowed.</p>",
            "204": "We're sorry but your message is too long. Please write a shorter message",
            "240": "We're sorry but we cannot start a new chat at this time. Please try again later",
            "364": "Invalid email address",
            "ChatUnavailable": "We're sorry but we cannot start a new chat at this time. Please try again later",
            "CriticalFault": "Your chat session has ended unexpectedly due to an unknown issue. We apologize for the inconvenience",
            "StartFailed": "There was an issue starting your chat session. Please verify your connection and that you submitted all required information properly, then try again",
            "MessageFailed": "Your message was not received successfully. Please try again",
            "RestoreFailed": "We're sorry but we were unable to restore your chat session due to an unknown error",
            "TransferFailed": "Unable to transfer chat at this time. Please try again later",
            "FileTransferSizeError": "The file could not be sent.<br/><strong><p class='filename' title='<%FilenameFull%>'>'<%FilenameTruncated%>'</p></strong><p class='cx-advice'>File size is larger than the allowed size (<%MaxSizePerFile%>)</p>",
            "InviteFailed": "Unable to generate invite at this time. Please try again later",
            "ChatServerWentOffline": "Messages are currently taking longer than normal to get through. We're sorry for the delay",
            "RestoredOffline": "Messages are currently taking longer than normal to get through. We're sorry for the delay",
            "Disconnected": "<div style='text-align:center'>Connection lost</div>",
            "Reconnected": "<div style='text-align:center'>Connection restored</div>",
            "FileSendFailed": "The file could not be sent.<br/><strong><p class='filename' title='<%FilenameFull%>'><%FilenameTruncated%></p></strong><p class='cx-advice'>There was an unexpected disconnection. Try again?</p>",
            "Generic": "<div style='text-align:center'>An unexpected error occurred</div>"
          }
        }
      }

    },
    downloadGoogleFont: 'true',
    mobileModeBreakpoint: 600
  },
  webchat: {
    dataURL:prismaGenesysServiceURL,
    confirmFormCloseEnabled: false,
    enableCustomHeader: true,
    inviteOnRestoreTimeout: false,
    autoInvite: {
      enabled: false,
      timeToInviteSeconds: 6000,
      inviteTimeoutSeconds: 6000
    },
    markdown: true
  }
};

if (!window._genesys.widgets.extensions) {
  window._genesys.widgets.extensions = {};
}

var customPlugin;
window._genesys.widgets.extensions["CustomCHAT"] = function ($, CXBus, Common) {
  customPlugin = CXBus.registerPlugin('CustomCHAT');
  //CXBus.configure({debug:true});
  serviceContext.subscribeToEvents(customPlugin);
  customPlugin.ready();
}//extension

var serviceContext;
function initializePrismaGenesys(context) {
  serviceContext = context;
}
